List Environment Group Metrics
get
/rpa/v1/environmentGroups/metrics
Gets a list of all available environment groups metrics in a service instance.
Request
Query Parameters
-
environmentGroupId: string
Environment Group Identifier
-
limit: integer
Minimum Value:
1Maximum Value:100The maximum number of items to return.Default Value:100 -
page: string
Minimum Length:
1A token representing the position at which to start retrieving results. This must come from the `opc-next-page` header field of a previous response. -
period: string
time period from the current time for which metrics to be queried.Default Value:
HOUR_1Allowed Values:[ "HOUR_1", "HOUR_6", "HOUR_12", "HOUR_24" ] -
projectId(required): string
Project identifier
-
sortBy: string
The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified timeCreated is default.Default Value:
TIME_CREATEDAllowed Values:[ "TIME_CREATED", "DISPLAY_NAME" ] -
sortOrder: string
The sort order to use, either 'ASC' or 'DESC'.Allowed Values:
[ "ASC", "DESC" ]
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
A page of Environment Group Summary objects.
Headers
-
opc-next-page:
For pagination of a list of items. When paging through a list, if this header appears in the response, then a partial list might have been returned. Include this value as the `page` parameter for the subsequent GET request to get the next batch of items.
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : EnvironmentGroupMetricsCollection
Type:
objectResults of a environmentGroup list metrics operation. Contains EnvironmentGroupMetricSummary items.
Show Source
-
items(required): array
items
List of EnvironmentGroupMetricSummary objects
Nested Schema : items
Type:
arrayList of EnvironmentGroupMetricSummary objects
Show Source
-
Array of:
object EnvironmentGroupMetricSummary
Summary of an environment group utilization metrics
Nested Schema : EnvironmentGroupMetricSummary
Type:
objectSummary of an environment group utilization metrics
Show Source
-
dataPoints: array
dataPoints
T2 metrics DataPoints for Utilization.
-
displayName(required): string
Maximum Length:
50User friendly display name for the environment group -
identifier(required): string
Maximum Length:
32Envrinoment Group identifier -
projectId(required): string
Minimum Length:
1Maximum Length:32Envrinoment Group project id
Nested Schema : dataPoints
Type:
arrayT2 metrics DataPoints for Utilization.
Show Source
-
Array of:
object EnvironmentGroupMetricDataPoints
EnvironmentGroupMetricDataPoints items.
Nested Schema : EnvironmentGroupMetricDataPoints
Type:
objectEnvironmentGroupMetricDataPoints items.
Show Source
-
timestamp(required): string
(date-time)
timestamp
-
value(required): integer
(int64)
utilization percentage value
400 Response
Bad Request
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
401 Response
Unauthorized
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
404 Response
Not Found
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
429 Response
Too Many Requests
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
500 Response
Internal Server Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Default Response
Unknown Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.